## mongodb 2.4.8

=== debian/changelog ===
mongodb (1:2.4.8-2) unstable; urgency=low

  * Sync with Ubuntu (closes: #730203).

  [ James Page <james.page@ubuntu.com> ]
  * d/control: Enable armhf across all binary packages.
  * d/control,tests: Add DEP-8 tests.
  * d/p/0011-Use-a-signed-char-to-store-BSONType-enumerations.patch: Fixup
    build failure on ARM due to missing signed'ness of char cast.

  [ Rogério Brito <rbrito@ime.usp.br> ]
  * debian/control: Add more details to the long descriptions.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 22 Nov 2013 18:09:38 +0100

mongodb (1:2.4.8-1) unstable; urgency=low

  * New upstream release.
  * Add armhf architecture to the supported build systems.
  * Build with SSL enabled.
  * Update Standards-Version to 3.9.5 .

  [ Viktar Vauchkevich <victorenator@gmail.com> ]
  * Add systemd support (closes: #717321).

  [ James Page <james.page@ubuntu.com> ]
  * d/copyright: Add details of MongoDB AGPL+OpenSSL license exception
    to support continued use of MongoDB with SSL support enabled
    (LP: #1175028).
  * d/mongodb.conf: Add example SSL configuration options.
  * d/mongodb-server.mongodb.upstart: Add upstart configuration.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Nov 2013 07:55:06 +0000

mongodb (1:2.4.6-1) unstable; urgency=low

  * New upstream release.
  * Change package priority to optional.
  * Update Standards-Version to 3.9.4 .
  * Fix typedefs FTBFS with 0009-ignore-unused-local-typedefs.patch
    (closes: #701324), thanks to James Page <james.page@ubuntu.com>
  * Fix integer comparision FTBFS with 0010-fix-integer-signs.patch
    (closes: #724100).
  * Rework packaging with short debhelper format instead of cdbs.
  * Compile with system V8 library.
  * Move packaging to Debian servers.
  * New maintainer (closes: #725854).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Sep 2013 12:31:11 +0000
