=== debian/changelog ===
mongodb (1:2.4.9-1ubuntu2) trusty; urgency=medium

  * d/p/0099-Pagesize-hacks.patch: Apply some hacks for non-4k pages.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 27 Mar 2014 01:20:08 -0600

mongodb (1:2.4.9-1ubuntu1) trusty; urgency=medium

  * Enable ppc64el build (LP: #1288633):
    - d/control: Add ppc64el to target architectures.
    - d/control: Use google-perftools on ppc64el.
    - d/p/0004-Support-ppc64el-builds.patch: Detect ppc64 as 64 bit platform.
  * Enable javascript-less arm64 build (LP: #1288634):
    - d/control: Add arm64 to target architectures, ignore libv8-dev for arm64.
    - d/p/0002-SERVER-12065-Support-ARM-and-AArch64-builds.patch: Add support
      for arm64.
    - d/p/0001-Add-option-to-disable-javascript.patch: Add option to disable
      javascript engine.
    - d/rules: Disable scripting and drop mongo binary for arm64.
  * General non-x86 enablement:
    - d/p/0005-ARM-support-for-ASM-operations-in-MongoDB.patch: dropped in
      preference to upstream accepted patch from Robie Basak:
    - d/p/0001-SERVER-12064-Atomic-operations-for-gcc-non-Intel-arc.patch: Use
      gcc provided atomic operations for non-Intel archs.
  * d/mongodb-server.mongodb.upstart: Bump nofile limit to 64000 (LP: #1283007).
  * d/control: Use google-perftools on armhf.

 -- James Page <james.page@ubuntu.com>  Thu, 06 Mar 2014 11:08:10 +0000

mongodb (1:2.4.9-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 16 Jan 2014 12:44:01 +0000
