=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mongodb
 Section: database
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
  debhelper (>= 9),
@@ -11,14 +12,14 @@
  libboost-filesystem-dev,
  libboost-program-options-dev,
  libboost-thread-dev,
- libgoogle-perftools-dev [linux-amd64 linux-i386],
+ libgoogle-perftools-dev [linux-amd64 linux-i386 armhf ppc64el],
  libpcap-dev,
  libpcre3-dev,
  libreadline-dev,
  libsnappy-dev,
  libstemmer-dev,
  libssl-dev,
- libv8-dev (>= 3.12),
+ libv8-dev (>= 3.12) [!arm64],
  python-pymongo,
  scons
 Standards-Version: 3.9.5
@@ -28,7 +29,7 @@
 XS-Testsuite: autopkgtest
 
 Package: mongodb
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf ppc64el arm64
 Depends:
  mongodb-dev,
  mongodb-server (>= 1:2.4.1-2),
@@ -54,7 +55,7 @@
  the server, the clients and the development files (headers and library).
 
 Package: mongodb-server
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf ppc64el arm64
 Depends:
  adduser,
  mongodb-clients,
@@ -82,7 +83,7 @@
  server/load-balancer (mongos).
 
 Package: mongodb-clients
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf ppc64el arm64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -109,7 +110,7 @@
 
 Package: mongodb-dev
 Section: libdevel
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf ppc64el arm64
 Depends:
  libboost-dev,
  ${misc:Depends}
