=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,19 @@
 
 HARDENING_OPTIONS = CC="$(CC)" CFLAGS="$(CFLAGS)" \
   CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)"
-COMMON_OPTIONS = --use-system-snappy --use-system-tcmalloc --use-system-pcre \
+COMMON_OPTIONS = --use-system-snappy --use-system-pcre \
   --use-system-boost --use-system-v8 --ssl $(DEB_SCONS_OPTIONS)
+
+gperftools_archs = amd64 i386 armhf ppc64el
+ifneq (,$(filter $(DEB_HOST_ARCH), $(gperftools_archs)))
+COMMON_OPTIONS += --allocator=tcmalloc --use-system-tcmalloc
+else
+COMMON_OPTIONS += --allocator=system
+endif
+
+ifeq ($(DEB_HOST_ARCH), arm64)
+COMMON_OPTIONS += --disable-scripting
+endif
 
 DEB_SCONS_CLEAN = --directory="." $(HARDENING_OPTIONS) . --keep-going --clean \
   $(COMMON_OPTIONS)
@@ -50,6 +61,14 @@
 override_dh_installinit:
 	dh_installinit -pmongodb-server --name=mongodb
 
+ifeq ($(DEB_HOST_ARCH), arm64)
+# mongo shell is broken without scripting so drop it from
+# the binary
+override_dh_install:
+	dh_install
+	rm -f $(CURDIR)/tmp/mongodb-clients/usr/bin/mongo
+endif
+
 %:
 	dh $@ --parallel
