## mongodb 2.4.10

=== debian/changelog ===
mongodb (1:2.4.10-5+deb8u1) jessie; urgency=medium

  * Redact key and nonce from auth attempt logs (Closes: #833087)
  * Backport patch for CVE-2016-6494 from 2.6 (Closes: #832908)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 11 Jan 2017 11:17:56 +0200

mongodb (1:2.4.10-5) unstable; urgency=high

  * Use upstream backported fix for CVE-2015-1609 (closes: #780129).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 09 Mar 2015 21:21:24 +0000

mongodb (1:2.4.10-4) unstable; urgency=high

  * Backport potential information leak security fix from 2.4.11 .
  * Backport disable SSLv3 ciphers from pre-2.4.13 to fix CVE-2014-3566 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 10 Nov 2014 18:24:57 +0000

mongodb (1:2.4.10-3) unstable; urgency=medium

  * Enable systemd unit file (closes: #767211).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 29 Oct 2014 22:43:27 +0000

mongodb (1:2.4.10-2) unstable; urgency=low

  * Enable systemd service (closes: #745674).
  * Support NUMA configurations (closes: #714955).

  [ Thomas Goirand <zigo@debian.org> ]
  * Build with -Wno-unused-function, fixing FTBFS with gcc-4.9
    (closes: #746887).

  [ Svante Signell <svante.signell@gmail.com> ]
  * Add support for GNU/Hurd (closes: #747586).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Jun 2014 18:34:48 +0000

mongodb (1:2.4.10-1) unstable; urgency=low

  * New upstream release.
  * Sync with Ubuntu.

  [ James Page <james.page@ubuntu.com> ]
  * Enable ppc64el build (LP: #1288633):
    - d/control: Add ppc64el to target architectures.
    - d/control: Use google-perftools on ppc64el.
    - d/p/0004-Support-ppc64el-builds.patch: Detect ppc64 as 64 bit platform.
  * d/mongodb-server.mongodb.upstart: Bump nofile limit to 64000 (LP: #1283007).
  * d/control: Use google-perftools on armhf.

  [ Adam Conrad <adconrad@ubuntu.com> ]
  * d/p/0099-Pagesize-hacks.patch: Apply some hacks for non-4k pages.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 15 Apr 2014 13:47:02 +0000
