=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mongodb
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
  debhelper (>= 9),
@@ -19,17 +18,17 @@
  libsnappy-dev,
  libstemmer-dev,
  libssl-dev,
- libv8-dev (>= 3.12) [!arm64],
+ libv8-dev (>= 3.12),
  python-pymongo,
  scons
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/mongodb.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mongodb.git
 Homepage: http://www.mongodb.org
 XS-Testsuite: autopkgtest
 
 Package: mongodb
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf ppc64el arm64
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf ppc64el
 Depends:
  mongodb-dev,
  mongodb-server (>= 1:2.4.1-2),
@@ -55,7 +54,7 @@
  the server, the clients and the development files (headers and library).
 
 Package: mongodb-server
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf ppc64el arm64
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf ppc64el
 Depends:
  adduser,
  mongodb-clients,
@@ -83,7 +82,7 @@
  server/load-balancer (mongos).
 
 Package: mongodb-clients
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf ppc64el arm64
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -110,7 +109,7 @@
 
 Package: mongodb-dev
 Section: libdevel
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf ppc64el arm64
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf ppc64el
 Depends:
  libboost-dev,
  ${misc:Depends}
