=== debian/rules ===
--- 
+++ 
@@ -18,19 +18,8 @@
 
 HARDENING_OPTIONS = CC="$(CC)" CFLAGS="$(CFLAGS)" \
   CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)"
-COMMON_OPTIONS = --use-system-snappy --use-system-pcre \
+COMMON_OPTIONS = --use-system-snappy --use-system-tcmalloc --use-system-pcre \
   --use-system-boost --use-system-v8 --ssl $(DEB_SCONS_OPTIONS)
-
-gperftools_archs = amd64 i386 armhf ppc64el
-ifneq (,$(filter $(DEB_HOST_ARCH), $(gperftools_archs)))
-COMMON_OPTIONS += --allocator=tcmalloc --use-system-tcmalloc
-else
-COMMON_OPTIONS += --allocator=system
-endif
-
-ifeq ($(DEB_HOST_ARCH), arm64)
-COMMON_OPTIONS += --disable-scripting
-endif
 
 DEB_SCONS_CLEAN = --directory="." $(HARDENING_OPTIONS) . --keep-going --clean \
   $(COMMON_OPTIONS)
@@ -59,18 +48,11 @@
 	scons $(DEB_SCONS_INSTALL)
 
 override_dh_installinit:
+	dh_systemd_enable --name=mongodb
 	dh_installinit -pmongodb-server --name=mongodb
 
-ifeq ($(DEB_HOST_ARCH), arm64)
-# mongo shell is broken without scripting so drop it from
-# the binary
-override_dh_install:
-	dh_install
-	rm -f $(CURDIR)/tmp/mongodb-clients/usr/bin/mongo
-endif
-
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with=systemd
 
 .PHONY: override_dh_clean override_dh_auto_build override_dh_auto_test \
 	override_dh_auto_install override_dh_installinit
