=== debian/changelog ===
mongodb (1:2.4.14-4) unstable; urgency=low

  * Ignore self-test failure on non-Linux architectures due to filesystem
    timestamp resolution to move with Boost 1.55 removal (closes: #822130).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 14 May 2016 19:27:09 +0000

mongodb (1:2.4.14-3) unstable; urgency=low

  * Fix FTBFS with newer g++ 5.2 versions (closes: #794931).
  * Build depend on newer g++ 5.2 versions (closes: #793262).
  * Build depend on GCC 5 transitioned snappy versions.
  * Remove ppc64el from the packages, it doesn't have libv8-dev .
  * Move adduser dependency to pre-depends.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Aug 2015 18:57:06 +0200

mongodb (1:2.4.14-2) unstable; urgency=low

  * Fix FTBFS with gcc 5.1 (closes: #778012).
  * Update Vcs-Browser location (closes: #745341).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 04 Jul 2015 07:10:47 +0000

mongodb (1:2.4.14-1) unstable; urgency=low

  * New upstream release.
  * Remove applied patches.
  * Specify home directory when adding mongodb user.

  [ Svante Signell <svante.signell@gmail.com> ]
  * Fix build with python-pymongo 3.0+ (closes: #786823).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 31 May 2015 12:46:04 +0000
