=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,11 @@
 	scons $(DEB_SCONS_BUILD)
 
 override_dh_auto_test:
+ifeq ($(DEB_BUILD_ARCH_OS), linux)
 	scons $(DEB_SCONS_CHECK)
+else
+	scons $(DEB_SCONS_CHECK) || true
+endif
 
 override_dh_auto_install:
 	scons $(DEB_SCONS_INSTALL)
